Bug 1563523 - dependency for rabbitvcs will switch to python3
Summary: dependency for rabbitvcs will switch to python3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rabbitvcs
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1560724
TreeView+ depends on / blocked
 
Reported: 2018-04-04 05:42 UTC by Wolfgang Ulbrich
Modified: 2018-11-21 16:52 UTC (History)
4 users (show)

Fixed In Version: rabbitvcs-0.17.1-9.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-21 16:52:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Wolfgang Ulbrich 2018-04-04 05:42:11 UTC
Description of problem:

Rabbitvcs depends on python-caja which will switch to python3 for f29.
There is is an open pull request at pagure.
https://src.fedoraproject.org/rpms/python-caja/pull-request/2
Please update your package to make that posible.

Also, i'd like to given up python-caja package due to a lack of time, and i don't use it for myself any more with f28.
Are you like to step in to maintain it?

Thank you.

Comment 1 Pete Walter 2018-04-04 12:22:20 UTC
Thanks Wolfgang. I think I'll just drop the caja rabbitvcs extensions in that case. I don't use it myself either.

Comment 2 Jan Kurik 2018-08-14 10:08:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Fedora Update System 2018-11-12 15:07:41 UTC
rabbitvcs-0.17.1-9.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-dfb63401f0

Comment 5 Fedora Update System 2018-11-13 04:49:11 UTC
rabbitvcs-0.17.1-9.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-dfb63401f0

Comment 6 Fedora Update System 2018-11-21 16:52:15 UTC
rabbitvcs-0.17.1-9.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.